Bug 169419 - lang/nickle: Update to version 2.76
Summary: lang/nickle: Update to version 2.76
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Armin Pirkovitsch
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-25 19:10 UTC by tkato432
Modified: 2012-07-19 18:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.88 KB, patch)
2012-06-25 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-06-25 19:10:13 UTC
- Update to version 2.76
Comment 1 Edwin Groothuis freebsd_committer 2012-06-25 19:12:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Armin Pirkovitsch freebsd_committer 2012-07-17 08:59:07 UTC
Responsible Changed
From-To: miwi->sperber

miwi asked me to take it.
Comment 3 dfilter service freebsd_committer 2012-07-19 18:41:40 UTC
Author: sperber
Date: Thu Jul 19 17:40:38 2012
New Revision: 301176
URL: http://svn.freebsd.org/changeset/ports/301176

Log:
  - Update to version 2.76
  - Switch to optionsng
  
  PR:           ports/169419
  Submitted by: KATO Tsuguru <tkato432 _at_ yahoo.com>
  Approved by:  beat (mentor)

Modified:
  head/lang/nickle/Makefile   (contents, props changed)
  head/lang/nickle/distinfo   (contents, props changed)

Modified: head/lang/nickle/Makefile
==============================================================================
--- head/lang/nickle/Makefile	Thu Jul 19 17:39:58 2012	(r301175)
+++ head/lang/nickle/Makefile	Thu Jul 19 17:40:38 2012	(r301176)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	nickle
-PORTVERSION=	2.75
+PORTVERSION=	2.76
 CATEGORIES=	lang
 MASTER_SITES=	http://www.nickle.org/release/
 
@@ -15,6 +15,9 @@ COMMENT=	A numeric oriented programming 
 
 LICENSE=	MIT
 
+PORT_OPTIONS=	EXAMPLES
+
+USE_NCURSES=	yes
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
 MAKE_JOBS_SAFE=	yes
@@ -25,19 +28,19 @@ LDFLAGS+=	${PTHREAD_LIBS}
 
 MAN1=		nickle.1
 
+.include <bsd.port.options.mk>
+
 post-patch:
-# Do not descend into "examples" subdirectory to prevent them being installed
-# under DATADIR (instead, we manually install them later in post-install into
-# EXAMPLESDIR); also remove extra -O2 since we provide our own CFLAGS.
-	@${REINPLACE_CMD} -e '/^SUBDIRS/s|examples|| ; s| -O2||' \
-		${WRKSRC}/Makefile.in
+	@${REINPLACE_CMD} -e \
+		'/^SUBDIRS/s|examples|| ; \
+		 s| -O2||' ${WRKSRC}/Makefile.in
 
 post-install:
-.if !defined(NOPORTEXAMPLES)
+.if ${PORT_OPTIONS:MEXAMPLES}
 	@${MKDIR} ${EXAMPLESDIR}
 	@(cd ${WRKSRC}/examples && ${FIND} . ! \( -name "*Makefile*" -or \
-		-name "*.sgml" \) | ${CPIO} -pdm -LR ${SHAREOWN}:${SHAREGRP} \
-			${EXAMPLESDIR})
+		-name "*.sgml" \) | ${CPIO} -pdm -L \
+		-R ${SHAREOWN}:${SHAREGRP} ${EXAMPLESDIR})
 	@${FIND} ${EXAMPLESDIR} -type d | ${XARGS} ${CHMOD} a+rx
 	@${FIND} ${EXAMPLESDIR} -type f | ${XARGS} ${CHMOD} ${SHAREMODE}
 .endif

Modified: head/lang/nickle/distinfo
==============================================================================
--- head/lang/nickle/distinfo	Thu Jul 19 17:39:58 2012	(r301175)
+++ head/lang/nickle/distinfo	Thu Jul 19 17:40:38 2012	(r301176)
@@ -1,2 +1,2 @@
-SHA256 (nickle-2.75.tar.gz) = 74a7c8e33975ff3a9bb743c210211f6ae5b14f45f208e5b79e85faabd65a9bb7
-SIZE (nickle-2.75.tar.gz) = 512728
+SHA256 (nickle-2.76.tar.gz) = ae9b3e4ea0ab204db84121bf6c9d540d60a0e813196422790c751961fc8a1ef0
+SIZE (nickle-2.76.tar.gz) = 516524
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Armin Pirkovitsch freebsd_committer 2012-07-19 18:47:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!